function subTab(id, width) {
   if ($(".sub_out_tab").size() < 1){return false;}
   if ($(".sub_in_tab").size() < 1){return false;}
   if (!width) { width = 100 }
   $('#'+id+' ul li span').css('width',width+'px');
   $('#'+id+' ul li button').css('width',width+'px');

   $(document).on('click', '#'+id+' ul li button', function() {
      var index = $('#'+id+' ul li').index($(this).parent('li'));

      for (var i = 0; i < $('#'+id+' ul li').length; i++) {
         var name = new String();
         if ($('#'+id+' ul li').eq(i).children('span').size() >= 1) {
            name = $('#'+id+' ul li').eq(i).children('span').text();
         }
         if ($('#'+id+' ul li').eq(i).children('button').size() >= 1) {
            name = $('#'+id+' ul li').eq(i).children('button').text();
         }
         
         if (i == index) {
            $('#'+id+' ul li').eq(i).html(''
               + '<span style="width:'+width+'px;">'+name+'</span>'
            );
         } else {
            $('#'+id+' ul li').eq(i).html(''
               + '<button type="button" class="btn" style="width:'+width+'px;">'+name+'</button>'
            );
         }
      }

      $('#'+id).next('.sub_in_tab').find('li').slideUp("fast");
      $('#'+id).next('.sub_in_tab').find('li').eq(index).slideDown("fast");

   }); 

   return false;
}
function pageNavi(service, page) {

   var cookie = 'pH'+service+page; 
   var url    = '/'+service+'/';
   var value  = new String();

   if ($.cookie(cookie) != void 0 && $.cookie(cookie) == 'down'){
      $('.page_navi .sort').children('img').attr('src', $('.page_navi .sort').children('img').attr('src').replace('_down', '_up'));
      $('.page_navi .detail').css('display', "block");
   }
   else {
      $('.page_navi .sort').children('img').attr('src', $('.page_navi .sort').children('img').attr('src').replace('_up', '_down'));
      $('.page_navi .detail').css('display', "none");
   }

   $(document).on('click', '.page_navi .sort', function() {

      var value  = new String();

      if ($('.page_navi .detail').is(':visible')) {
         $(this).children('img').attr('src', $(this).children('img').attr('src').replace('_up', '_down'));
         $('.page_navi .detail').slideUp("fast");
         value = 'up';
      }
      else {
         $(this).children('img').attr('src', $(this).children('img').attr('src').replace('_down', '_up'));
         $('.page_navi .detail').slideDown("fast");
         value = 'down';
      }

      $.cookie(cookie, value, {
         path: url,
         domain: 'dev.bowlroll.net',
         secure: true
      });

   });
   
   return false;
}

function formResult(){
   if ($('.form_result').size() < 1){return false;}

   $('.form_result').slideDown('show');
   $('.form_result').delay(5000).slideUp('show');

   return false;
}

function iconUrl() {
   if ($('img.icon_url').size() < 1){return false;}
   
   $('img.icon_url').error(function() {
      $(this).attr({src: '/static/common/img/icon_noimage48.png'});
   });

   return false;
}

function viewScroll() {
   var flag = false;
   $(window).scroll(function () {
      if ($(this).scrollTop() > 200) {
         if (flag == false) {
            flag = true;
            $('.view_scroll_top').stop().animate({'top': '0'}, 200);
            $('.view_scroll_bottom').stop().animate({'bottom': '0'}, 200);
         }
      } else {
         if (flag) {
            flag = false;
            $('.view_scroll_top').stop().animate({'top': '-37px'}, 200);
            $('.view_scroll_bottom').stop().animate({'bottom': '-40px'}, 200);
         }
      }
      return false;
   });
   $(document).on("click", ".view_scroll_bottom", function() {
      $('body, html').animate({ scrollTop: 0 }, 300);
      return false;
   });
   return false;
}

function footerHeight(){
   if ($('footer').size() < 1){return false;}

   var windowHeight = $(window).height();
   var bodyHeight   = $('body').height();
   var footerTop    = windowHeight - 80;

   if((footerTop - bodyHeight) > 0)
   {
      $('footer').css('position','absolute');
      $('footer').css('top',footerTop + 'px');
   }else{
      $('footer').css('position','static');
   }

   return false;
}

$(document).ready(function(){
   iconUrl();
   formResult();
   viewScroll();
   return false;  
});

$(window).load(function(){
   footerHeight();
   return false;
});
$(window).resize(function(){
   footerHeight();
   return false;
});
